%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	PlRPC

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The Perl RPC Module.
Name:		perl-%{perlname}
Version:	0.2020
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=PlRPC
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Net-Daemon

%description
The Perl RPC Module.
For more details see: http://www.cpan.org/modules/by-module/RPC/PlRPC.readme

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{perlname}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.2020-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.2018-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.2018-2
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.2018-1
- Version update, correct false directory  
* Sat Jun 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.2016-1
- Initial Build
